## nbformat 5.1.3

=== docs/requirements.txt ===
ipython_genutils
jsonschema
traitlets
-e git+https://github.com/jupyter/jupyter_core.git#egg=jupyter_core

## nbformat 4.2.0

=== debian/changelog ===
nbformat (4.2.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Mon, 06 Mar 2017 20:49:22 +0100

nbformat (4.2.0-1) unstable; urgency=medium

  [ Gordon Ball ]
  * Team upload.
  * New upstream release.
  * Use LC_ALL=C.UTF-8 in d/rules to avoid encoding errors during testing

  [ Julien Puydt ]
  * Add Multi-Arch:foreign to the -doc following tracker's hint.

 -- Gordon Ball <gordon@chronitis.net>  Sun, 04 Dec 2016 12:56:02 +0100

nbformat (4.1.0-2) unstable; urgency=medium

  [ Tobias Hansen ]
  * Team upload.
  * Upload to unstable.

  [ Julien Puydt ]
  * Push dh compat up to 10.

  [ Gordon Ball ]
  * Split the jupyter-trust script into a separate package (named
    jupyter-nbformat), which depends on the python 3 library package.

 -- Tobias Hansen <thansen@debian.org>  Wed, 02 Nov 2016 19:50:31 +0000

nbformat (4.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Explicitly put the package under the Debian Python Module Team
    umbrella.

 -- Julien Puydt <julien.puydt@laposte.net>  Wed, 17 Aug 2016 11:18:26 +0200

nbformat (4.0.1-1) experimental; urgency=medium

  [ Julien Puydt ]
  * Initial release. (Closes: #800404)

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Julien Puydt <julien.puydt@laposte.net>  Fri, 22 Jul 2016 20:51:14 +0200

=== debian/control ===
Source: nbformat
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Julien Puydt <julien.puydt@laposte.net>
Section: python
Priority: optional
Standards-Version: 3.9.8
Homepage: https://github.com/jupyter/nbformat
Build-Depends: bc,
               debhelper (>= 10),
               dh-python,
               python,
               python-ipython-genutils,
               python-jsonschema,
               python-jupyter-core,
               python-nose,
               python-numpydoc,
               python-pytest,
               python-setuptools,
               python-sphinx,
               python-testpath,
               python-traitlets,
               python3-all,
               python3-ipython-genutils,
               python3-jsonschema,
               python3-jupyter-core,
               python3-nose,
               python3-pytest,
               python3-setuptools,
               python3-sphinx,
               python3-testpath,
               python3-traitlets
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.3
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/nbformat.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/nbformat.git

Package: python-nbformat
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Jupyter notebook format (Python 2)
 This software component contains the reference implementation of the Jupyter
 notebook format, and Python APIs to work with notebooks.
 .
 This package installs the library for Python 2.

Package: python3-nbformat
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Jupyter notebook format (Python 3)
 This software component contains the reference implementation of the Jupyter
 notebook format, and Python APIs to work with notebooks.
 .
 This package installs the library for Python 3.

Package: jupyter-nbformat
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-nbformat (= ${binary:Version})
Section: utils
Description: Jupyter notebook format (tools)
 This software component contains the reference implementation of the Jupyter
 notebook format, and Python APIs to work with notebooks.
 .
 This package installs the notebook signing tool.

Package: python-nbformat-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Jupyter notebook format (documentation)
 This software component contains the reference implementation of the Jupyter
 notebook format, and Python APIs to work with notebooks.
 .
 This package installs the documentation.

## nbformat 4.4.0

=== debian/changelog ===
nbformat (4.4.0-1) unstable; urgency=medium

  [ Julien Puydt ]
  * New upstream release. (Closes: #847393, #864700)
  * Bump d/watch to version 4.

  [ Gordon Ball ]
  * Bump Standards-Version to 4.1.0 (no changes required)
  * Use python3 sphinx for documentation
  * Add dependency on jupyter-core for jupyter-nbformat to ensure the script
    can be invoked as "jupyter nbformat"
  * Add myself to uploaders in d/control
  * Use sphinxdoc:Built-Using for the documentation package
  * New upstream release.
  * Add Testsuite: autopkgtest-pkg-python

 -- Julien Puydt <julien.puydt@laposte.net>  Sun, 03 Sep 2017 16:36:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: nbformat
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Julien Puydt <julien.puydt@laposte.net>
+Uploaders: Julien Puydt <julien.puydt@laposte.net>, Gordon Ball <gordon@chronitis.net>
 Section: python
 Priority: optional
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://github.com/jupyter/nbformat
 Build-Depends: bc,
                debhelper (>= 10),
@@ -13,10 +13,8 @@
                python-jsonschema,
                python-jupyter-core,
                python-nose,
-               python-numpydoc,
                python-pytest,
                python-setuptools,
-               python-sphinx,
                python-testpath,
                python-traitlets,
                python3-all,
@@ -24,6 +22,7 @@
                python3-jsonschema,
                python3-jupyter-core,
                python3-nose,
+               python3-numpydoc,
                python3-pytest,
                python3-setuptools,
                python3-sphinx,
@@ -33,6 +32,7 @@
 X-Python3-Version: >= 3.3
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/nbformat.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/nbformat.git
+Testsuite: autopkgtest-pkg-python
 
 Package: python-nbformat
 Architecture: all
@@ -54,7 +54,10 @@
 
 Package: jupyter-nbformat
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-nbformat (= ${binary:Version})
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         python3-nbformat (= ${binary:Version}),
+         jupyter-core
 Section: utils
 Description: Jupyter notebook format (tools)
  This software component contains the reference implementation of the Jupyter
@@ -67,6 +70,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Built-Using: ${sphinxdoc:Built-Using}
 Description: Jupyter notebook format (documentation)
  This software component contains the reference implementation of the Jupyter
  notebook format, and Python APIs to work with notebooks.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
# TODO: see if we can rm this work around after
# https://github.com/jupyter/nbformat/issues/76 is fixed
# Generally, it's an upstream bug if we need to set this for the whole build.
export LC_ALL=C.UTF-8

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	rm -r `find debian/tmp -name tests -type d`

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html docs debian/python-nbformat-doc/usr/share/doc/python-nbformat-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

## nbformat 5.0.4

=== debian/changelog ===
nbformat (5.0.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump std-ver to 4.5.0.
  * Use my debian.org mail address.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 27 Jan 2020 23:33:39 +0100

nbformat (5.0.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Gordon Ball ]
  * New upstream version 5.0.3

 -- Gordon Ball <gordon@chronitis.net>  Thu, 09 Jan 2020 19:33:58 +0000

nbformat (4.4.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Gordon Ball ]
  * Drop python 2.7 support (Closes: #937119)

 -- Gordon Ball <gordon@chronitis.net>  Tue, 12 Nov 2019 15:51:46 +0000

nbformat (4.4.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * Use debhelper-compat instead of debian/compat.

  [ Gordon Ball ]
  * Update Standards-Version to 4.4.0
  * Update debhelper compat level to 12
  * Declare that root is not required for build

 -- Gordon Ball <gordon@chronitis.net>  Fri, 27 Sep 2019 18:01:27 +0000

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,13 @@
 Source: nbformat
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Julien Puydt <julien.puydt@laposte.net>, Gordon Ball <gordon@chronitis.net>
+Uploaders: Julien Puydt <jpuydt@debian.org>, Gordon Ball <gordon@chronitis.net>
 Section: python
 Priority: optional
-Standards-Version: 4.1.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/jupyter/nbformat
 Build-Depends: bc,
-               debhelper (>= 10),
+               debhelper-compat (= 12),
                dh-python,
-               python,
-               python-ipython-genutils,
-               python-jsonschema,
-               python-jupyter-core,
-               python-nose,
-               python-pytest,
-               python-setuptools,
-               python-testpath,
-               python-traitlets,
                python3-all,
                python3-ipython-genutils,
                python3-jsonschema,
@@ -28,20 +19,10 @@
                python3-sphinx,
                python3-testpath,
                python3-traitlets
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.3
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/nbformat.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/nbformat.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/nbformat.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/nbformat
 Testsuite: autopkgtest-pkg-python
-
-Package: python-nbformat
-Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
-Description: Jupyter notebook format (Python 2)
- This software component contains the reference implementation of the Jupyter
- notebook format, and Python APIs to work with notebooks.
- .
- This package installs the library for Python 2.
+Rules-Requires-Root: no
 
 Package: python3-nbformat
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export LC_ALL=C.UTF-8
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_install:
 	dh_auto_install
@@ -15,6 +15,6 @@
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. sphinx-build -b html docs debian/python-nbformat-doc/usr/share/doc/python-nbformat-doc/html
+	PYTHONPATH=. python3 -m sphinx -b html docs debian/python-nbformat-doc/usr/share/doc/python-nbformat-doc/html
 	dh_sphinxdoc -O--buildsystem=pybuild
 endif

=== debian/watch ===
version=4
https://github.com/jupyter/nbformat/tags .*/archive/(.*)\.tar\.gz

## nbformat 5.0.7

=== debian/changelog ===
nbformat (5.0.7-1) unstable; urgency=medium

  * New upstream version 5.0.7

 -- Gordon Ball <gordon@chronitis.net>  Fri, 24 Apr 2020 19:30:42 +0000

nbformat (5.0.5-1) unstable; urgency=medium

  * Run the test suite as an autopkgtest
  * New upstream version 5.0.5

 -- Gordon Ball <gordon@chronitis.net>  Wed, 01 Apr 2020 18:07:58 +0000

## nbformat 5.0.8

=== debian/changelog ===
nbformat (5.0.8-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Gordon Ball ]
  * New upstream version 5.0.8
  * Patch tests since fastjsonschema is unavailable

 -- Gordon Ball <gordon@chronitis.net>  Wed, 14 Oct 2020 19:37:46 +0000

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: nbformat
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>, Gordon Ball <gordon@chronitis.net>
 Section: python
 Priority: optional
@@ -19,8 +19,8 @@
                python3-sphinx,
                python3-testpath,
                python3-traitlets
-Vcs-Git: https://salsa.debian.org/python-team/modules/nbformat.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/nbformat
+Vcs-Git: https://salsa.debian.org/python-team/packages/nbformat.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/nbformat
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no

=== debian/tests/control ===
Test-Command: env HOME=$AUTOPKGTEST_TMP pytest-3 nbformat
Depends: @, python3-pytest, python3-testpath

## nbformat 5.1.2

=== debian/changelog ===
nbformat (5.1.2-1) unstable; urgency=medium

  * d/watch: insert ~ before alpha|beta|rc
  * Drop obsolete dependency python3-nose
  * New upstream version 5.1.2

 -- Gordon Ball <gordon@chronitis.net>  Sun, 17 Jan 2021 20:31:17 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
                python3-ipython-genutils,
                python3-jsonschema,
                python3-jupyter-core,
-               python3-nose,
                python3-numpydoc,
                python3-pytest,
                python3-setuptools,

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 # https://github.com/jupyter/nbformat/issues/76 is fixed
 # Generally, it's an upstream bug if we need to set this for the whole build.
 export LC_ALL=C.UTF-8
+export PYBUILD_BEFORE_TEST=cp nbformat/tests/*.ipynb {build_dir}/nbformat/tests/
+export PYBUILD_TEST_ARGS=-k 'not fallback_validator'
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)(rc|a|b)/$1~$2/ \
https://github.com/jupyter/nbformat/tags .*/archive/(.*)\.tar\.gz

## nbformat 5.1.3

=== debian/changelog ===
nbformat (5.1.3-1) unstable; urgency=medium

  [ Gordon Ball ]
  * d/watch: new github tarball URL
  * New upstream version 5.1.3
  * Rebase patches

  [ Julien Puydt ]
  * Fix d/watch

 -- Gordon Ball <gordon@chronitis.net>  Sun, 15 Aug 2021 19:44:00 +0000

=== debian/tests/control ===
Test-Command: env HOME=$AUTOPKGTEST_TMP python3 -m pytest nbformat -k 'not fallback_validator'
Depends: @, python3-pytest, python3-testpath

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)(rc|a|b)/$1~$2/ \
https://github.com/jupyter/nbformat/tags .*/@ANY_VERSION@@ARCHIVE_EXT@

## nbformat 5.4.0

=== debian/changelog ===
nbformat (5.4.0-2) unstable; urgency=medium

  * Drop a workaround for an old upstream bug.
  * Drop a patch that was necessary because of above
  workaround.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 04 May 2022 08:02:12 +0200

nbformat (5.4.0-1) unstable; urgency=medium

  * Apply patch from Chris Lamb to make the
  build reproducible. (Closes: #1007757)
  * Bump standards-version to 4.6.0.
  * New upstream release.
  * Refresh or drop patches.
  * Update b-deps.
  * Add new patch so pytest skips current.py - it's deprecated.
  * Add dep on jsonschema and fastjsonschema by hand (why?).

 -- Julien Puydt <jpuydt@debian.org>  Tue, 03 May 2022 22:33:15 +0200

nbformat (5.2.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

  [ Gordon Ball ]
  * New upstream version 5.2.0
  * Drop build-dependency on python3-ipython-genutils
  * Update build-time and autopkgtest since test files were moved

 -- Gordon Ball <gordon@chronitis.net>  Mon, 14 Mar 2022 20:24:37 +0000

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>, Gordon Ball <gordon@chronitis.net>
 Section: python
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/jupyter/nbformat
 Build-Depends: bc,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-python,
                python3-all,
-               python3-ipython-genutils,
+               python3-fastjsonschema,
                python3-jsonschema,
                python3-jupyter-core,
                python3-numpydoc,
@@ -25,7 +25,7 @@
 
 Package: python3-nbformat
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: ${misc:Depends}, ${python3:Depends}, python3-fastjsonschema, python3-jsonschema
 Description: Jupyter notebook format (Python 3)
  This software component contains the reference implementation of the Jupyter
  notebook format, and Python APIs to work with notebooks.

## nbformat 5.5.0

=== docs/requirements.txt ===
jsonschema
jupyter_core
sphinx
sphinxcontrib_github_alt

=== debian/changelog ===
nbformat (5.5.0-1) unstable; urgency=medium

  * New upstream version 5.5.0
  * Switch buildsystem from setuptools to pyproject+flit

 -- Gordon Ball <gordon@chronitis.net>  Sun, 18 Sep 2022 09:11:23 +0000

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,8 @@
 Homepage: https://github.com/jupyter/nbformat
 Build-Depends: bc,
                debhelper-compat (= 13),
+               pybuild-plugin-pyproject,
+               flit,
                dh-python,
                python3-all,
                python3-fastjsonschema,
@@ -14,7 +16,6 @@
                python3-jupyter-core,
                python3-numpydoc,
                python3-pytest,
-               python3-setuptools,
                python3-sphinx,
                python3-testpath,
                python3-traitlets

=== debian/tests/control ===
Test-Command: env HOME=$AUTOPKGTEST_TMP python3 -m pytest -k 'not fallback_validator'
Depends: @, python3-pytest, python3-testpath

## nbformat 5.9.1

=== debian/changelog ===
nbformat (5.9.1-1) unstable; urgency=medium

  * Team upload.

  [ Julien Puydt ]
  * New upstream release (5.7.0).
  * Bump standards-version to 4.6.2.
  * Add missing b-dep on hatchling.
  * Refresh patches.
  * Use sphinx local data instead of network access.

  [ Julian Gilbey ]
  * New upstream release (5.9.1).
  * Update dependencies for new version.
  * Update d/copyright file with slightly changed license ("copyright
    holder" instead of named group).
  * Refresh patches.

 -- Julian Gilbey <jdg@debian.org>  Thu, 13 Jul 2023 20:51:13 +0100

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,30 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>, Gordon Ball <gordon@chronitis.net>
 Section: python
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/jupyter/nbformat
 Build-Depends: bc,
                debhelper-compat (= 13),
+               dh-python,
+               flit,
                pybuild-plugin-pyproject,
-               flit,
-               dh-python,
+               python-jupyter-client-doc <!nodoc>,
+               python-nbconvert-doc <!nodoc>,
+               python-notebook-doc <!nodoc>,
                python3-all,
+               python3-doc <!nodoc>,
+               python3-enchant <!nodoc>,
                python3-fastjsonschema,
+               python3-hatch-nodejs-version,
+               python3-hatchling,
                python3-jsonschema,
                python3-jupyter-core,
+               python3-myst-parser <!nodoc>,
                python3-numpydoc,
-               python3-pytest,
-               python3-sphinx,
+               python3-pydata-sphinx-theme <!nodoc>,
+               python3-pytest <!nocheck>,
+               python3-sphinx <!nodoc>,
+               python3-sphinxcontrib.spelling <!nodoc>,
                python3-testpath,
                python3-traitlets
 Vcs-Git: https://salsa.debian.org/python-team/packages/nbformat.git
@@ -26,7 +36,10 @@
 
 Package: python3-nbformat
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-fastjsonschema, python3-jsonschema
+Depends: python3-fastjsonschema,
+         python3-jsonschema,
+         ${misc:Depends},
+         ${python3:Depends}
 Description: Jupyter notebook format (Python 3)
  This software component contains the reference implementation of the Jupyter
  notebook format, and Python APIs to work with notebooks.
@@ -35,10 +48,10 @@
 
 Package: jupyter-nbformat
 Architecture: all
-Depends: ${misc:Depends},
-         ${python3:Depends},
+Depends: jupyter-core,
          python3-nbformat (= ${binary:Version}),
-         jupyter-core
+         ${misc:Depends},
+         ${python3:Depends}
 Section: utils
 Description: Jupyter notebook format (tools)
  This software component contains the reference implementation of the Jupyter

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	rm -r `find debian/tmp -name tests -type d`

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. http_proxy=http://127.0.0.1:9 https_proxy=http://127.0.0.1:9 python3 -m sphinx -b html docs debian/python-nbformat-doc/usr/share/doc/python-nbformat-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

=== debian/tests/control ===
Test-Command: env HOME=$AUTOPKGTEST_TMP python3 -m pytest -k 'not fallback_validator'
Depends: python3-pytest, python3-testpath, @

## nbformat 5.10.4

=== debian/changelog ===
nbformat (5.10.4-1) unstable; urgency=medium

  [ Julian Gilbey ]
  * fix nodocs -> nodoc

  [ Gordon Ball ]
  * New upstream version 5.10.4
  * d/control: standards-version 4.7.3, drop rules-requires-root, drop priority
  * d/patches: rebase
  * d/watch: upgrade to version 5
  * d/rules, d/tests: do not fail tests on leaked sqlite connections

 -- Gordon Ball <gordon@chronitis.net>  Fri, 02 Jan 2026 20:52:54 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>, Gordon Ball <gordon@chronitis.net>
 Section: python
-Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/jupyter/nbformat
 Build-Depends: bc,
                debhelper-compat (= 13),
@@ -32,7 +31,6 @@
 Vcs-Git: https://salsa.debian.org/python-team/packages/nbformat.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/nbformat
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 
 Package: python3-nbformat
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

# the testsuite leaks open sqlite3 connections, which pytest chokes on otherwise
# see https://github.com/jupyter/nbformat/issues/405
export PYBUILD_TEST_ARGS=-p no:unraisableexception

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	rm -r `find debian/tmp -name tests -type d`

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. http_proxy=http://127.0.0.1:9 https_proxy=http://127.0.0.1:9 python3 -m sphinx -b html docs debian/python-nbformat-doc/usr/share/doc/python-nbformat-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

=== debian/tests/control ===
Test-Command: env HOME=$AUTOPKGTEST_TMP python3 -m pytest -k 'not fallback_validator' -p no:unraisableexception
Depends: python3-pytest, python3-testpath, @

=== debian/watch ===
Version: 5
Template: GitHub
Owner: jupyter
Project: nbformat
Uversion-mangle: auto
